﻿# React w3-lightgallery

[Demo](https://kingarchitect.dexignzone.com/lightgallery/)

# Features

Responsive Design: Adjusts to various screen sizes, providing a consistent user experience across devices. Lightweight: Minimal dependencies and optimized code ensure
fast load times. Easy to Use: Simple API for integration and customization.

w3-lightgallery is a lightweight, responsive, and easy-to-use gallery component for modern web applications. It provides a seamless experience for displaying images and
videos with a clean and elegant interface.

## Installation

```
npm install w3-gallery
```

## Typical use:

```
import {Gallery} from "w3-gallery";

const mainImage = [
  { img: https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 },
  { img: https://unsplash.com/photos/a-person-standing-on-a-beach-next-to-the-ocean-3PaQx4zE4Kg },
  { img: https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 },
  { img: https://unsplash.com/photos/a-person-standing-on-a-beach-next-to-the-ocean-3PaQx4zE4Kg },
  { img: https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 }
];

const category = [

  { img: https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 },title:'Demo',
  { img: https://unsplash.com/photos/a-person-standing-on-a-beach-next-to-the-ocean-3PaQx4zE4Kg ,title:'Demo'},
  { img: https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 ,title:'Demo'},
  { img: https://unsplash.com/photos/a-person-standing-on-a-beach-next-to-the-ocean-3PaQx4zE4Kg },title:'Demo',
  { img: https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0,title:'Demo' }
];

const media = [
  { img: IMAGE.https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 },
  { img: IMAGE.https://unsplash.com/photos/a-person-standing-on-a-beach-next-to-the-ocean-3PaQx4zE4Kg },
  { img: IMAGE.https://unsplash.com/photos/a-black-building-with-a-clock-on-the-side-of-it-UHHFYUTz_n0 },
  { img: IMAGE.https://unsplash.com/photos/a-person-standing-on-a-beach-next-to-the-ocean-3PaQx4zE4Kg }
  ];

function App() {
  return (
    <>
      <Gallery children={mainImage} category={category} categoryMedia={media} />
    </>
  );
}

export default App;

```
