import * as React from 'react';

const Gallery = ({ children, category, categoryMedia }) => {
    const [num, setNum] = React.useState(0);
    const [image, setImage] = React.useState();
    const hoverHandler = (index) => {
        setNum(index);
        setImage("");
    };
    const mediaHandler = (ind, img) => {
        setImage(img[ind].img);
        console.log(image);
    };
    return (React.createElement(React.Fragment, null,
        React.createElement("section", { id: "mainGallery" },
            React.createElement("div", { className: "main-gallery ", "data-wow-duration": "2s", "data-wow-delay": "0.5s" },
                React.createElement("div", { className: "gallery-img" }, children.map((el, ind) => {
                    if (image) {
                        return React.createElement("img", { src: image, alt: "ss", key: ind, className: ind == num ? "active" : "" });
                    }
                    else {
                        return React.createElement("img", { src: el.img, alt: "ss", key: ind, className: ind == num ? "active" : "" });
                    }
                })),
                React.createElement("div", { className: "gallery-area" }, category.map((el, index) => (React.createElement("div", { className: "gallery-category", key: index, onMouseEnter: () => hoverHandler(index) },
                    React.createElement("div", { className: "category-box" },
                        React.createElement("div", { className: "media" },
                            React.createElement("img", { src: el.img, alt: "" })),
                        React.createElement("div", { className: "info" },
                            React.createElement("h3", { className: "title" }, el.title),
                            React.createElement("span", null,
                                React.createElement("i", { className: "las la-image" }),
                                " ",
                                index + 1))),
                    React.createElement("div", { className: "category-media" }, categoryMedia.map((el, index) => (React.createElement("div", { className: "items", "data-image-bx": "structureOne" },
                        React.createElement("div", { className: "media", onMouseEnter: () => mediaHandler(index, categoryMedia) },
                            React.createElement("img", { src: el.img, alt: "", key: index }))))))))))))));
};

export { Gallery as default };
